
<div class="container">
    <div class="">
      <div class="col-lg-12 col-lg-offset-12">
        <!--MODIFY PROFILE -->
        <div class="login-panel panel panel-default">
          <div class="panel panel-heading">
            <h1 class="panel-title">Your profile</h1>
          </div>
            <div class="panel panel-body iot-panel-profile">
                <div class="col-lg-6">
                  <!--LEFT part of form (user edition)-->
                  
                  <div class="form-group">
                    <input
                    type="email"
                    [(ngModel)]="localUserModel.mail"
                    name="mail"
                    placeholder="E-mail"
                    disabled
                    >
                  </div>
                  <form #userEditForm="ngForm" (submit)="editOnSubmit()">
                    
                    <div class="form-group">
                      <label for="name">Your Name: </label>
                      <input
                        type="text"
                        [(ngModel)]="localUserModel.name"
                        name="name"
                        placeholder="Name"
                      >
                    </div>
                    
                    <div class="form-group">
                      <label for="surname">Your Surname: </label>
                      <input
                        type="text"
                        [(ngModel)]="localUserModel.surname"
                        name="surname"
                        placeholder="Surname"
                      >
                    </div>
                    
                    <div class="form-group">
                      <label for="language">Preferred language: </label>
                      <select
                        class="form-control"
                        [(ngModel)]="localUserModel.prefLanguage"
                        name="language"
                      >
                        <option value="auto">Auto</option>
                        <option
                          *ngFor="let oneLang of availableLanguages"
                          [value]="oneLang">
                          {{oneLang}}
                        </option>
                      </select>
                    </div>
    
                    <button type="reset">Reset</button>
                    <button type="submit">Modify</button>
                  </form>


                  <br><br>
                    <div class="form-group">
                      <label for="userSpaceRef">Your Space reference: </label>
                      <input
                        type="text"
                        name="userSpaceRef"
                        [(ngModel)]="localUserModel.spaceRef"
                        disabled
                      >
                      <button type="button" (click)="editUserSpaceRef()">Generate new space reference</button>
                    </div>
                </div>
                <div class="col-lg-6">
                    <!--RIGHT part of form (user's password edition)-->
                  <form #userPasswordEditForm="ngForm" (submit)="editPasswordOnSubmit()">
                    
                      <div class="form-group">
                        <input
                          type="password"
                          [(ngModel)]="localUserModel.userid"
                          name="oldPwd"
                          placeholder="Your id"
                          disabled
                        >
                      </div>
                    
                      <div class="form-group">
                        <input
                          type="password"
                          [(ngModel)]="localUserModel.password"
                          name="oldPwd"
                          placeholder="Your password"
                          disabled
                        >
                      </div>
                    
                      <button type="submit">Change password</button>
                  </form>
                  <form action="">
                    <div class="form-group">
                        <input
                          type="text"
                          [(ngModel)]="useridToInvite"
                          name="confPwd"
                          value=""
                          placeholder="Id of the user to invite"
                          disabled
                        >
                      </div>
                      <button disabled (click)="requestInvitation()">Invitation request</button>
                  </form>
                </div>
            </div>
        </div>

        <!--SPACES -->
        <div class='login-panel panel panel-default'>
          <div class="panel panel-heading">
            <h3 class="panel-title">Spaces</h3>
          </div>
          <div class="panel-body">
            <div class="list-group scrollable-menu">
              
              <!--List of existing spaces-->
              <div class="list-group-item" [hidden]="userSpaces.length != 0">
                <ng-template *ngFor="let userSpace of userSpaces">
                  <button (click)="goToSpace(userSpace.id)">
                    {{ userSpace.spaceName }}
                  </button>
                  <button class="btn btn-danger" (click)="leaveSpace(space.id)">
                    Leave
                  </button>
                  <!--TODO implement spaceService, userSpaces, -->
                  <!--TODO goToSpace(id), leaveSpace(id)-->
                  <!--TODO if not owner of the space, leave space-->
                  <!--TODO if owner, ask confirmation before delete space-->
                </ng-template>
              </div>
              
              <!--Space creation-->
              <div class="list-group-item">
                <form #spaceCreationForm="ngForm" (submit)="createSpaceOnSubmit()">
                  <!--TODO createSpaceOnSubmit()-->

                  <div class="form-group">
                    <input
                      type="text"
                      [(ngModel)]="newSpaceModel.spaceName"
                      name="spaceName"
                      placeholder="Name of the space"
                    >
                  </div>

                  <button disabled type="submit">Create space</button>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  